@import '../../styles/variables'

.scroll-icon
    display none
    +above(3)
        display block
    position fixed
    bottom 100px
    right 10px
    transform rotate(90deg)

    &::after
        content '→'
        margin-left $sp--third

        -moz-animation bounce 3s infinite
        -webkit-animation bounce 3s infinite
        -o-animation bounce 3s infinite

@keyframes bounce
    0%
        margin-left $sp--sixth
        margin-right $sp--half
    50%
        margin-left $sp--half
        margin-right $sp--sixth
    100%
        margin-left $sp--sixth
        margin-right $sp--half

@-moz-keyframes bounce
    0%
        margin-left $sp--sixth
        margin-right $sp--half
    50%
        margin-left $sp--half
        margin-right $sp--sixth
    100%
        margin-left $sp--sixth
        margin-right $sp--half

@-webkit-keyframes bounce
    0%
        margin-left $sp--sixth
        margin-right $sp--half
    50%
        margin-left $sp--half
        margin-right $sp--sixth
    100%
        margin-left $sp--sixth
        margin-right $sp--half

@-o-keyframes bounce
    0%
        margin-left $sp--sixth
        margin-right $sp--half
    50%
        margin-left $sp--half
        margin-right $sp--sixth
    100%
        margin-left $sp--sixth
        margin-right $sp--half
